// Logger는 pool sw의 app-logger를 사용할 수 있게 해준다.

#ifndef LOGGER_H
#define LOGGER_H

#include <QObject>

#include "unixdomaindatagramsocket.h"

class Logger : public QObject
{
    Q_OBJECT
public:
    explicit Logger(QObject *parent = nullptr);

    bool init(const QString &tag);

signals:

public slots:
    void print(const QString &string);
    void hexdump(const QString &message, const QByteArray &bytes);

private:
    UnixDomainDatagramSocket *socket;
    QString tag;
};

#endif // LOGGER_H
